---

- name: Create volumes for "{{ service.project_name }}"
  docker_volume:
    name: "{{ volume }}"
    driver: "{{ volume_driver }}"
  with_items: "{{ service_volumes.volumes }}"
  loop_control:
    loop_var: volume
  when: (service_volumes.volumes is defined) and (service_volumes.volumes|list > 0) and (inventory_hostname in groups[swarm_manager_group])
  tags:
    - create_volumes
